[SeaMonkey, Debug Windows] test_importScripts.html and test_chromeWorkerJSM.xul (and more) report "ASSERTION: nsScriptCacheCleaner not thread-safe: '_mOwningThread.GetThread() == PR_GetCurrentThread()', file .../nsFrameMessageManager.cpp, line 911"

NEW
Unassigned

Status

()

P5
critical
7 years ago
6 months ago

People

(Reporter: sgautherie, Unassigned)

Tracking

(Depends on: 3 bugs, Blocks: 1 bug, {assertion})

Trunk
mozilla13
x86
Windows Server 2003
assertion
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox12 affected, firefox13 affected)

Details

(Whiteboard: [(near) perma-orange] [test which aborts the suite], URL)

(Reporter)

Description

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1330371856.1330375992.18309.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test mochitests-3/5 on 2012/02/27 11:44:16
s: cb-seamonkey-win32-03
{
9306 INFO TEST-START | /tests/dom/workers/test/test_importScripts.html
###!!! ASSERTION: nsScriptCacheCleaner not thread-safe: '_mOwningThread.GetThread() == PR_GetCurrentThread()', file e:/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/content/base/src/nsFrameMessageManager.cpp, line 911
TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_importScripts.html | application timed out after 330 seconds with no output
}
http://mxr.mozilla.org/mozilla-central/source/dom/workers/test/test_importScripts.html?force=1

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1330424417.1330431005.6626.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2012/02/28 02:20:17
s: cn-sea-qm-win2k3-01
{
10405 INFO TEST-START | chrome://mochitests/content/chrome/dom/workers/test/test_chromeWorkerJSM.xul
###!!! ASSERTION: nsScriptCacheCleaner not thread-safe: '_mOwningThread.GetThread() == PR_GetCurrentThread()', file e:/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/content/base/src/nsFrameMessageManager.cpp, line 911
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/dom/workers/test/test_chromeWorkerJSM.xul | application timed out after 330 seconds with no output
}
http://mxr.mozilla.org/mozilla-central/source/dom/workers/test/test_chromeWorkerJSM.xul

***

Code is
911 NS_IMPL_ISUPPORTS1(nsScriptCacheCleaner, nsIObserver)
(Reporter)

Comment 1

7 years ago
a-12 and b-11 branches are already affected:


http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1330256274.1330259117.29049.gz
WINNT 5.2 comm-aurora debug test mochitests-3/5 on 2012/02/26 03:37:54
s: cb-seamonkey-win32-03
{
...
kernel32!GetModuleHandleA+0x00000000000000DF
###!!! ASSERTION: nsScriptCacheCleaner not thread-safe: '_mOwningThread.GetThread() == PR_GetCurrentThread()', file e:/builds/slave/comm-aurora-w32-dbg/build/mozilla/content/base/src/nsFrameMessageManager.cpp, line 912
TEST-UNEXPECTED-FAIL | /tests/editor/libeditor/base/tests/test_bug514156.html | application timed out after 330 seconds with no output
}

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1330256356.1330260721.1226.gz
WINNT 5.2 comm-aurora debug test mochitest-other on 2012/02/26 03:39:16
s: cb-seamonkey-win32-02
{
###!!! ASSERTION: nsScriptCacheCleaner not thread-safe: '_mOwningThread.GetThread() == PR_GetCurrentThread()', file e:/builds/slave/comm-aurora-w32-dbg/build/mozilla/content/base/src/nsFrameMessageManager.cpp, line 912
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/dom/workers/test/test_chromeWorkerJSM.xul | application timed out after 330 seconds with no output
}


http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1330271153.1330273707.24047.gz
WINNT 5.2 comm-beta debug test mochitests-3/5 on 2012/02/26 07:45:53
s: cb-seamonkey-win32-03
{
###!!! ASSERTION: nsScriptCacheCleaner not thread-safe: '_mOwningThread.GetThread() == PR_GetCurrentThread()', file e:/builds/slave/comm-beta-w32-dbg/build/mozilla/content/base/src/nsFrameMessageManager.cpp, line 876
TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_importScripts.html | application timed out after 330 seconds with no output
}
(Reporter)

Comment 2

7 years ago
[Mozilla/5.0 (Windows NT 5.0; rv:13.0a1) Gecko/20120201 Firefox/13.0a1 SeaMonkey/2.10a1] (nightly, 2012-02-01-00-30-09-comm-central-trunk)

Ftr, WorksForMe with this Opt build.
Summary: [SeaMonkey, Windows] test_importScripts.html and test_chromeWorkerJSM.xul (and more) report "ASSERTION: nsScriptCacheCleaner not thread-safe: '_mOwningThread.GetThread() == PR_GetCurrentThread()', file .../nsFrameMessageManager.cpp, line 911" → [SeaMonkey, Debug Windows] test_importScripts.html and test_chromeWorkerJSM.xul (and more) report "ASSERTION: nsScriptCacheCleaner not thread-safe: '_mOwningThread.GetThread() == PR_GetCurrentThread()', file .../nsFrameMessageManager.cpp, line 911"
The assertions are just the browser being shut down because it timed out ... so the question is why the tests are timing out.
(Reporter)

Comment 4

7 years ago
Ftr, sometimes it doesn't fail: random, but very frequent.

It also seems to be random in the sense it can be reported for other tests too,
yet the 2 "worker" tests seem the most frequent.
Depends on: 712540
Whiteboard: [perma-orange] [test which aborts the suite] → [(near) perma-orange] [test which aborts the suite]
I don't know if it's relevant, but the test tries to import a non-existent script "http://flippety.com/floppety/foo.js", is this safe?
And the other test sets a variable chromeURL but never uses it...
(Reporter)

Updated

7 years ago
Depends on: 731332
(Reporter)

Comment 7

7 years ago
(In reply to neil@parkwaycc.co.uk from comment #5)
> I don't know if it's relevant, but the test tries to import a non-existent
> script "http://flippety.com/floppety/foo.js", is this safe?

Could be an issue, worth a try: I filed bug 731332.
(Reporter)

Updated

7 years ago
Depends on: 734077
(Reporter)

Comment 8

7 years ago
(In reply to neil@parkwaycc.co.uk from comment #6)
> And the other test sets a variable chromeURL but never uses it...

I filed bug 734077. Yet, that one should not matter wrt this bug.
(Reporter)

Comment 9

7 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #7)
> (In reply to neil@parkwaycc.co.uk from comment #5)
> > I don't know if it's relevant, but the test tries to import a non-existent
> > script "http://flippety.com/floppety/foo.js", is this safe?
> 
> Could be an issue, worth a try: I filed bug 731332.

Bug 731332 didn't fix this.
No longer depends on: 731332
(Reporter)

Comment 10

7 years ago
(In reply to Kyle Huey [:khuey] (khuey@mozilla.com) from comment #3)
> The assertions are just the browser being shut down because it timed out ...
> so the question is why the tests are timing out.

It looks like other assertions are happening in some previous tests: maybe they are (eventually) causing this?
I'll file blocking bugs...
(Reporter)

Updated

7 years ago
Depends on: 733606
(Reporter)

Updated

7 years ago
Depends on: 734249
(Reporter)

Comment 11

7 years ago
Jens, any chance you could reproduce locally and narrow down the triggering (m-3 and m-chrome) tests?
(In reply to Serge Gautherie (:sgautherie) from comment #11)
> Jens, any chance you could reproduce locally and narrow down the triggering
> (m-3 and m-chrome) tests?

I cannot promise anything right now; I'm currently doing so much "other" stuff (preparing website and wiki, processing your checkin-needed instances, driving other people's bugs so they make the Aurora uplift = l10n freeze) that all the things I personally want to do get pushed back indefinitely. Somewhere I have to draw a line, and unfortunately it is these time-consuming "can you please try and investigate" requests that I have to drop first. I'm not saying I won't do it, but it's rather low on my priority list right now to be honest. Same applies to bug 728790. Sorry.
(Reporter)

Comment 13

7 years ago
(In reply to Jens Hatlak (:InvisibleSmiley) from comment #12)
> I cannot promise anything right now; [...] Sorry.

Understandable, no problem.

It occurred to me that this bug affects branches too, so I gave it a try with
[Mozilla/5.0 (Windows NT 5.0; rv:12.0a1) Gecko/20120126 Firefox/12.0a1 SeaMonkey/2.9a1] (custom debug build for Windows 2000)
but I couldn't reproduce from the few sets of tests I tried.
As we have no clue what to look for and this (= debug build) runs rather slowly on my computer and this is an old bug, we might just have to wait and hope to eventually solve this bug when fixing other bugs :-|

Ftr, bug 728790 case is quite different: trunk only with a 1 (merge) push regression timeframe...
(But I can't run newer builds on my Windows 2000 :-<)
(Reporter)

Comment 14

7 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #1)
> a-12 and b-11 branches are already affected:

release/10 was already affected too:
http://tinderbox.mozilla.org/showbuilds.cgi?tree=SeaMonkey-Release&maxdate=1329481650&hours=24&legend=0&norules=1
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Release/1329398270.1329400676.681.gz
s: cb-seamonkey-win32-01
{
TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_importScripts.html | application timed out after 330 seconds with no output
}
(Reporter)

Updated

7 years ago
Depends on: 734553
(Reporter)

Comment 15

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1331349386.1331353269.21028.gz
WINNT 5.2 comm-central-trunk debug test mochitests-3/5 on 2012/03/09 19:16:26
+
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1331364441.1331365400.9978.gz
WINNT 5.2 comm-central-trunk debug test mochitests-5/5 on 2012/03/09 23:27:21

Bug 733606 didn't help.
No longer depends on: 733606
(Reporter)

Comment 16

7 years ago
Hopefully, this is due to some broken tests and I believe bug 735805 should help...
Depends on: 735805
(Reporter)

Updated

7 years ago
Depends on: 738334
(Reporter)

Comment 17

7 years ago
Ftr, test_suspend.html is one of the occurrences too:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1332649037.1332653135.1562.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test mochitests-3/5 on 2012/03/24 21:17:17
{
9536 INFO TEST-PASS | /tests/dom/workers/test/test_suspend.html | No iframe?!
[...]
###!!! ASSERTION: nsScriptCacheCleaner not thread-safe: '_mOwningThread.GetThread() == PR_GetCurrentThread()', file e:/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/content/base/src/nsFrameMessageManager.cpp, line 906
TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_suspend.html | application timed out after 330 seconds with no output
SCREENSHOT: data:image/png;base64,[ too late, SeaMonkey has already disappeared ]
}
(Reporter)

Comment 18

7 years ago
Ftr, test_simpleThread.html is one of the occurrences too:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1332603142.1332607270.20067.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test mochitests-3/5 on 2012/03/24 08:32:22
{
9524 INFO TEST-START | /tests/dom/workers/test/test_simpleThread.html
[...]
###!!! ASSERTION: nsScriptCacheCleaner not thread-safe: '_mOwningThread.GetThread() == PR_GetCurrentThread()', file e:/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/content/base/src/nsFrameMessageManager.cpp, line 906
TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_simpleThread.html | application timed out after 330 seconds with no output
SCREENSHOT: data:image/png;base64,[ too late, SeaMonkey has already disappeared ]
}
(Reporter)

Updated

7 years ago
Depends on: 739037
No longer depends on: 738334
(Reporter)

Updated

7 years ago
Severity: major → critical
(Reporter)

Comment 19

7 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #16)
> Hopefully, this is due to some broken tests and I believe bug 735805 should
> help...

Bug 735805 didn't help (enough) :-|
No longer depends on: 735805
(Reporter)

Comment 20

7 years ago
Ftr, test_json.html is one of the occurrences too:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1332398399.1332402510.4319.gz&fulltext=1
WINNT 5.2 comm-beta debug test mochitests-3/5 on 2012/03/21 23:39:59
s: cn-sea-qm-win2k3-01
{
7263 INFO TEST-PASS | /tests/dom/workers/test/test_json.html | No messages to test!
[...]
###!!! ASSERTION: nsScriptCacheCleaner not thread-safe: '_mOwningThread.GetThread() == PR_GetCurrentThread()', file e:/builds/slave/comm-beta-w32-dbg/build/mozilla/content/base/src/nsFrameMessageManager.cpp, line 912
TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_json.html | application timed out after 330 seconds with no output
If you fixed bug 589668, you'd get a screenshot here
}
(Reporter)

Comment 21

7 years ago
SM 2.9:

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1334571581.1334574396.16030.gz
WINNT 5.2 comm-beta debug test mochitests-3/5 on 2012/04/16 03:19:41
s: cb-seamonkey-win32-01
{
TEST-UNEXPECTED-FAIL | /tests/dom/workers/test/test_json.html | application timed out after 330 seconds with no output
If you fixed bug 589668, you'd get a screenshot here
}
status-firefox12: --- → affected
status-firefox13: --- → affected
https://bugzilla.mozilla.org/show_bug.cgi?id=1472046

Move all DOM bugs that haven’t been updated in more than 3 years and has no one currently assigned to P5.

If you have questions, please contact :mdaly.
Priority: P2 → P5
You need to log in before you can comment on or make changes to this bug.